Subject: Re: [PATCH v5 10/15] bugreport: add config values from safelist

From: Emily Shaffer <[email-masked]>
Date: Tue, 4 Feb 2020 17:34:05 -0800

On Thu, Jan 30, 2020 at 11:36:43PM +0100, Martin Ågren wrote:
> On Fri, 24 Jan 2020 at 04:40, <[email-masked]> wrote:
> > --- a/Makefile
> > +++ b/Makefile
> > @@ -2465,7 +2465,7 @@ endif
> >  git-%$X: %.o GIT-LDFLAGS $(GITLIBS)
> >         $(QUIET_LINK)$(CC) $(ALL_CFLAGS) -o $@ $(ALL_LDFLAGS) $(filter %.o,$^) $(LIBS)
> >
> > -git-bugreport$X: bugreport.o GIT-LDFLAGS $(GITLIBS)
> > +git-bugreport$X: bugreport-config-safelist.h bugreport.o GIT-LDFLAGS $(GITLIBS)
> >         $(QUIET_LINK)$(CC) $(ALL_CFLAGS) -o $@ $(ALL_LDFLAGS) $(filter %.o,$^) \
> >                 $(LIBS)
> 
> Haven't looked at this patch at all, except I've noticed that something
> is up with the dependencies. I think bugreport.o needs to depend on
> bugreport-config-safelist.h. As it is, the latter may or may not be
> available as bugreport.o is built. (Reproduces fairly well for me with
> something like `make clean && make -j16`.)

Hum, I thought that the ordering of the dependency list here was
ensured. But I see where help.o relies directly on command-list.h, so
I'll add a dependency for bugreport.o (and drop it from the direct
dependency for git-bugreport).

 - Emily